## pygments 1.6+dfsg

=== Makefile ===
#
# Makefile for Pygments
# ~~~~~~~~~~~~~~~~~~~~~
#
# Combines scripts for common tasks.
#
# :copyright: Copyright 2006-2013 by the Pygments team, see AUTHORS.
# :license: BSD, see LICENSE for details.
#

PYTHON ?= python

export PYTHONPATH = $(shell echo "$$PYTHONPATH"):$(shell python -c 'import os; print ":".join(os.path.abspath(line.strip()) for line in file("PYTHONPATH"))' 2>/dev/null)

.PHONY: all check clean clean-pyc codetags docs mapfiles \
	pylint reindent test test-coverage

all: clean-pyc check test

check:
	@$(PYTHON) scripts/detect_missing_analyse_text.py || true
	@$(PYTHON) scripts/check_sources.py -i build -i dist -i pygments/lexers/_mapping.py \
		   -i docs/build -i pygments/formatters/_mapping.py -i pygments/unistring.py \
		   -i pygments/lexers/_vimbuiltins.py

clean: clean-pyc
	-rm -rf build
	-rm -f codetags.html

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

codetags:
	@$(PYTHON) scripts/find_codetags.py -i tests/examplefiles -i scripts/pylintrc \
		   -i scripts/find_codetags.py -o codetags.html .

docs: docs/build

docs/build: docs/src/*.txt
	$(PYTHON) docs/generate.py html docs/build $?
	touch docs/build

mapfiles:
	(cd pygments/lexers; $(PYTHON) _mapping.py)
	(cd pygments/formatters; $(PYTHON) _mapping.py)

pylint:
	@pylint --rcfile scripts/pylintrc pygments

reindent:
	@$(PYTHON) scripts/reindent.py -r -B .

test:
	@$(PYTHON) tests/run.py $(TESTS)

test-coverage:
	@$(PYTHON) tests/run.py -C $(TESTS)

## pygments 1.4%2bdfsg

=== debian/control ===
Source: pygments
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5), quilt (>=0.40)
Build-Depends-Indep: python-all (>= 2.6.6-3), python3-all, python3-setuptools,
 python-setuptools (>= 0.6b3), python-docutils, python-jinja2
Standards-Version: 3.9.1
Homepage: http://pygments.org/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pygments/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pygments/trunk/
X-Python-Version: >= 2.4

Package: python-pygments
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Breaks: ${python:Breaks}
Recommends: python-chardet, python-pkg-resources
Suggests: ttf-bitstream-vera
Description: syntax highlighting package written in Python
 Pygments aims to be a generic syntax highlighter for general use in all kinds
 of software such as forum systems, wikis or other applications that need to
 prettify source code.
 .
 Highlights are:
   * a wide range of common languages and markup formats is supported
   * special attention is paid to details, increasing quality by a fair amount
   * support for new languages and formats are added easily
   * a number of output formats, presently HTML, LaTeX and ANSI sequences
   * it is usable as a command-line tool and as a library

Package: python3-pygments
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: python3-pkg-resources
Suggests: ttf-bitstream-vera
Description: syntax highlighting package written in Python 3
 Pygments aims to be a generic syntax highlighter for general use in all kinds
 of software such as forum systems, wikis or other applications that need to
 prettify source code.
 .
 Highlights are:
   * a wide range of common languages and markup formats is supported
   * special attention is paid to details, increasing quality by a fair amount
   * support for new languages and formats are added easily
   * a number of output formats, presently HTML, LaTeX and ANSI sequences
   * it is usable as a command-line tool and as a library

## pygments 1.4+dfsg

=== debian/changelog ===
pygments (1.4+dfsg-1ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #699775), remaining changes:
    - Drop Recommends: on python-chardet to a Suggests:; this package is not
      in main and as encoding detection is heuristic anyway this isn't
      something we really want to recommend.

 -- Lorenzo De Liso <blackz@ubuntu.com>  Fri, 07 Jan 2011 11:31:57 +0100

pygments (1.4+dfsg-1) unstable; urgency=low

  * New upstream release
  * Provide python3-pygments binary package
  * Convert from python-support to dh_python2
  * Source package format changed to 3.0 (quilt)
  * Standards-Version bumped to 3.9.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 04 Jan 2011 20:13:50 +0100

pygments (1.3.1+dfsg-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable; remaining Ubuntu changes:
    - Drop Recommends: on python-chardet to a Suggests:; this package is not
      in main and as encoding detection is heuristic anyway this isn't
      something we really want to recommend.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 11 May 2010 16:48:29 +0200

pygments (1.3.1+dfsg-1) unstable; urgency=low

  * New upstream release
  * Add ttf-bitstream-vera package to Suggests ("img" formatter needs it)
  * Homepage field updated

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 20 Mar 2010 20:43:06 +0100

pygments (1.3+dfsg-1) unstable; urgency=low

  * New upstream release
    - install Bash completion script for pygmentize
  * Standards-Version bumped to 3.8.4 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 02 Mar 2010 20:06:16 +0100

pygments (1.2.2+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 03 Jan 2010 00:50:59 +0100

pygments (1.2.1+dfsg-1) unstable; urgency=low

  * New upstream release
    - minimum required Python version bumped to 2.4

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 02 Jan 2010 21:40:38 +0100

pygments (1.1.1+dfsg-2) unstable; urgency=low

  * Add --prefix=/usr (Python >= 2.6 needs it)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 13 Nov 2009 23:04:50 +0100

pygments (1.1.1+dfsg-1) unstable; urgency=low

  * New upstream release
    - upstream tarball repackaged: tests/examplefiles removed (at least one
      of example files is not DFSG-free and I'm too lazy to review the rest
      as most of them have different copyright holder and license),
      get-orig-source target added, debian/watch file updated
  * use_jinja2_to_generate_docs patch removed (incorporated upstream)
  * disable_ez_setup.patch no longer needed
  * make_utf8_default.patch updated
  * debian/copyright file updated
  * Standards-Version bumped to 3.8.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 13 Sep 2009 10:13:17 +0200

pygments (1.0-3) unstable; urgency=low

  * Add use_jinja2_to_generate_docs patch and replace python-jinja with
    python-jinja2 build dependency
  * Standards-Version bumped to 3.8.2 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 09 Jul 2009 22:30:15 +0200

pygments (1.0-2) unstable; urgency=low

  * Add description to the patches
  * Remove brainf*ck from long description (LP: #302898)
  * Upload to unstable

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 10 Feb 2009 19:14:36 +0100

pygments (1.0-1) experimental; urgency=low

  [ Sandro Tosi ]
  * Switch Vcs-Browser field to viewsvn

  [ Piotr Ożarowski ]
  * New upstream release (upload to experimental due to Lenny freeze, to ease
    testing rev. dependencies)
  * Install scripts from external directory as examples (closes: #497532)
  * debian/copyright: list of copyright holders updated

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 23 Nov 2008 20:14:31 +0100

pygments (0.11.1-1) experimental; urgency=low

  * New upstream release (upload to experimental due to Lenny freeze, to ease
    testing rev. dependencies)
  * Standards-Version bumped to 3.8.0:
    + debian/README.source file added

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 31 Aug 2008 16:48:09 +0200

pygments (0.10-1) unstable; urgency=low

  * New upstream release
  * Add make_utf8_default patch - useful while using pygmentize with pipes
    (use: pygmentize -P 'encoding=ascii' if you want old behaviour)
  * Install debian/pygmentize instead of script created by setuptools
  * Change Debian packaging licence to match upstream

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 07 May 2008 20:38:26 +0200

pygments (0.9-3) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field

  [ Piotr Ożarowski ]
  * Switch to python-support
  * Replace python-setuptools runtime dependency with new python-pkg-resources
    (closes: 468710)
  * Compress binary package with bzip2
  * Strip the "-1" from quilt's and setuptools' required build versions

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 01 Mar 2008 13:37:39 +0100

pygments (0.9-2) unstable; urgency=low

  * Install original pygmentize script (not touched by setuptools)
    (closes: 455222)
  * Bump Standards-Version to 3.7.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 10 Dec 2007 19:59:55 +0100

pygments (0.9-1) unstable; urgency=low

  * New upstream release
  * Add patch that disables ez_setup at build time
    - quilt added to Build-Depends
  * Homepage field added
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 15 Oct 2007 22:37:08 +0200

pygments (0.8.1-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 28 Jun 2007 15:08:22 +0200

pygments (0.8-1) unstable; urgency=low

  * New upstream release
  * Bump required Jinja version (build dependency)
  * Added python-setuptools to Recommends

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 30 May 2007 19:33:29 +0200

pygments (0.7.1-2) unstable; urgency=low

  * Upload to unstable
  * debian/copyright file updated
  * Changed my address to piotr@debian.org



=== debian/control ===
--- 
+++ 
@@ -17,8 +17,8 @@
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
 Breaks: ${python:Breaks}
-Recommends: python-chardet, python-pkg-resources
-Suggests: ttf-bitstream-vera
+Recommends: python-pkg-resources
+Suggests: python-chardet, ttf-bitstream-vera
 Description: syntax highlighting package written in Python
  Pygments aims to be a generic syntax highlighter for general use in all kinds
  of software such as forum systems, wikis or other applications that need to

## pygments 1.5+dfsg

=== debian/changelog ===
pygments (1.5+dfsg-1+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2015-8557.patch patch.
    CVE-2015-8557: Shell injection in FontManager._get_nix_font_path.
    (Closes: #802828)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 10 Jan 2016 16:42:08 +0100

pygments (1.5+dfsg-1) unstable; urgency=low

  * New upstream release
  * make_utf8_default patch: do not change the encoding guessing part in
    pygments/lexer.py; updated to new upstream version
  * debian/pygmentize no longer needed, upstream now ships the script in the
    tarball (and it returns correct exit codes, closes: 628881)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 11 Mar 2012 18:22:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pygments
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 5), quilt (>=0.40)
 Build-Depends-Indep: python-all (>= 2.6.6-3), python3-all, python3-setuptools,
@@ -17,8 +16,8 @@
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
 Breaks: ${python:Breaks}
-Recommends: python-pkg-resources
-Suggests: python-chardet, ttf-bitstream-vera
+Recommends: python-chardet, python-pkg-resources
+Suggests: ttf-bitstream-vera
 Description: syntax highlighting package written in Python
  Pygments aims to be a generic syntax highlighter for general use in all kinds
  of software such as forum systems, wikis or other applications that need to

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

PYVERS ?= $(shell pyversions -vr) $(shell py3versions -vr)
pkgdir = $(CURDIR)/debian/python$(if $(patsubst 3.%,,$(1)),,3)-pygments

clean:
	dh_testdir
	dh_testroot
	rm -rf build Pygments.egg-info
	find . -name "*\.py[co]" -delete
	dh_clean build-indep install-stamp $(PYVERS:%=install-python%-stamp)

build: build-indep

build-indep:
	dh_testdir
	dh_installdirs
	PYTHONPATH='.' python docs/generate.py html debian/python-pygments/usr/share/doc/python-pygments/
	touch $@

install: build install-stamp $(PYVERS:%=install-python%-stamp)

install-stamp:
	dh_installdirs
	install -m 644 external/pygments.bashcomp debian/python-pygments/etc/bash_completion.d/pygmentize
	touch $@

install-python%-stamp:
	python$* setup.py install --single-version-externally-managed \
		--root $(call pkgdir,$*) --install-layout=deb
	touch $@

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i CHANGES
	dh_installexamples -i
	dh_installdocs -i
	dh_installman -i
	dh_install -i -p python-pygments pygmentize /usr/bin/
	rm -rf debian/python3-pygments/usr/bin/
	dh_python2 -i
	dh_python3 -i
	dh_compress -i -X.py -X.inv
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i -- -Z bzip2

binary-arch:

binary: binary-indep binary-arch

get-orig-source:
	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p');\
	uscan --force-download --rename --download-version=$$VER --destdir=.;\
	tar -zx --exclude=tests/examplefiles --exclude=test/test_examplefiles.py -f pygments_$$VER.orig.tar.gz;\
	tar	-zcf ./pygments_$$VER+dfsg.orig.tar.gz Pygments-$$VER;\
	rm -f ./pygments_$$VER.orig.tar.gz;\
	rm -rf Pygments-$$VER

.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://pypi.python.org/packages/source/P/Pygments/Pygments-(.*)\.tar\.gz

## pygments 1.6+dfsg

=== debian/changelog ===
pygments (1.6+dfsg-1ubuntu1) trusty; urgency=medium

  * Add missing "patch" test dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 26 Feb 2014 15:12:20 +0100

pygments (1.6+dfsg-1build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:50:15 +0000

pygments (1.6+dfsg-1) experimental; urgency=low

  * New upstream release
  * fix_makefile_re.patch removed, no longer needed
  * debian/watch file updated to handle rc versions correctly

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 03 Feb 2013 22:32:34 +0100

pygments (1.5+dfsg-2) unstable; urgency=low

  [ Dmitry Shachnev ]
  * Add DEP-8 tests (closes: #693028).
  * Remove unneeded build-dependency on quilt.
  * Bump Standards-Version to 3.9.4.
    + Add empty build-arch target to debian/rules.
  * Drop Breaks: {python:Breaks}, it is obsolete.
  * debian/patches/fix_makefile_re.patch: cherry-picked upstream commit
    that fixes Makefile highlighting.

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 06 Jan 2013 14:38:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: pygments
 Section: python
 Priority: optional
-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 5), quilt (>=0.40)
+Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: python-all (>= 2.6.6-3), python3-all, python3-setuptools,
  python-setuptools (>= 0.6b3), python-docutils, python-jinja2
-Standards-Version: 3.9.1
+Standards-Version: 3.9.4
 Homepage: http://pygments.org/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/pygments/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pygments/trunk/
 X-Python-Version: >= 2.4
+XS-Testsuite: autopkgtest
 
 Package: python-pygments
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
-Breaks: ${python:Breaks}
 Recommends: python-chardet, python-pkg-resources
 Suggests: ttf-bitstream-vera
 Description: syntax highlighting package written in Python

=== debian/tests/control ===
Tests: python-pygments
Depends: python-pygments, python-nose, patch

Tests: python3-pygments
Depends: python3-pygments, python3-nose, patch

## pygments 2.0.1+dfsg

=== debian/changelog ===
pygments (2.0.1+dfsg-1.1+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2015-8557.patch patch.
    CVE-2015-8557: Shell injection in FontManager._get_nix_font_path.
    (Closes: #802828)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 10 Jan 2016 16:50:12 +0100

pygments (2.0.1+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/copyright: add the missing licenses of:
    - pygments/lexers/robotframework.py
    - tests/dtds/HTMLspec.ent
    - tests/dtds/HTMLlat1.ent
    - tests/dtds/HTMLsym.ent
    (Closes: #766042)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 22 Mar 2015 10:23:41 +0100

pygments (2.0.1+dfsg-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Drop disable_example_files_test.patch, no longer needed.
  * Enable verbose tests output.

  [ Piotr Ożarowski ]
  * New upstream release
    - pygmentize no longer fails when writing UTF-8 to output files
      (closes: 771724)
  * Drop doc/_build from the tarball (mostly due to missing JS sources; these
    files are regenerated anyway)
  * Remove .pyc files from upstream tarball
  * make_utf8_default patch removed, no longer needed

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 09 Nov 2014 23:03:38 +0100

pygments (2.0~rc1.a2bc2bd+dfsg-1) unstable; urgency=medium

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Dmitry Shachnev ]
  * Make autopkgtests depend on patch (to fix test failure on CI)
    and python[3]-all (to run tests for all supported Python versions).
    Closes: #740166.

  [ Piotr Ożarowski ]
  * New upstream release
    - Bump X-Python-Version to 2.6
  * Documentation moved to new binary package: python-pygments-doc
  * Add dh-python and python-sphinx to Build-Depends
  * Switch debhelper compat level to 9
  * Standards-Version bumped to 3.9.6 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 19 Oct 2014 23:00:26 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,16 +8,18 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -rf build Pygments.egg-info
+	rm -rf build Pygments.egg-info doc/_build
 	find . -name "*\.py[co]" -delete
 	dh_clean build-indep install-stamp $(PYVERS:%=install-python%-stamp)
 
 build: build-indep
 
+build-arch:
+
 build-indep:
 	dh_testdir
 	dh_installdirs
-	PYTHONPATH='.' python docs/generate.py html debian/python-pygments/usr/share/doc/python-pygments/
+	PYTHONPATH=$(CURDIR):$(CURDIR)/doc make -C doc html
 	touch $@
 
 install: build install-stamp $(PYVERS:%=install-python%-stamp)
@@ -38,9 +40,11 @@
 	dh_installchangelogs -i CHANGES
 	dh_installexamples -i
 	dh_installdocs -i
+	dh_link -i
 	dh_installman -i
 	dh_install -i -p python-pygments pygmentize /usr/bin/
 	rm -rf debian/python3-pygments/usr/bin/
+	dh_sphinxdoc -i -p python-pygments-doc
 	dh_python2 -i
 	dh_python3 -i
 	dh_compress -i -X.py -X.inv
@@ -48,7 +52,7 @@
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
-	dh_builddeb -i -- -Z bzip2
+	dh_builddeb -i
 
 binary-arch:
 
@@ -57,9 +61,10 @@
 get-orig-source:
 	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p');\
 	uscan --force-download --rename --download-version=$$VER --destdir=.;\
-	tar -zx --exclude=tests/examplefiles --exclude=test/test_examplefiles.py -f pygments_$$VER.orig.tar.gz;\
-	tar	-zcf ./pygments_$$VER+dfsg.orig.tar.gz Pygments-$$VER;\
+	tar -zx --exclude=doc/_build --exclude=tests/examplefiles --exclude=test/test_examplefiles.py -f pygments_$$VER.orig.tar.gz;\
+	find . -name '*.pyc' -delete;\
+	tar -zcf ./pygments_$$VER+dfsg.orig.tar.gz Pygments-*;\
 	rm -f ./pygments_$$VER.orig.tar.gz;\
-	rm -rf Pygments-$$VER
+	rm -rf Pygments-*
 
 .PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,uversionmangle=s/(beta|rc|a|b|c)/~$1/ \
http://pypi.python.org/packages/source/P/Pygments/Pygments-(.*)\.tar\.gz

## pygments 2.1%2Bdfsg

=== Makefile ===
#
# Makefile for Pygments
# ~~~~~~~~~~~~~~~~~~~~~
#
# Combines scripts for common tasks.
#
# :copyright: Copyright 2006-2015 by the Pygments team, see AUTHORS.
# :license: BSD, see LICENSE for details.
#

PYTHON ?= python

export PYTHONPATH = $(shell echo "$$PYTHONPATH"):$(shell python -c 'import os; print ":".join(os.path.abspath(line.strip()) for line in file("PYTHONPATH"))' 2>/dev/null)

.PHONY: all check clean clean-pyc codetags docs mapfiles \
	pylint reindent test test-coverage

all: clean-pyc check test

check:
	@$(PYTHON) scripts/detect_missing_analyse_text.py || true
	@pyflakes pygments | grep -v 'but unused' || true
	@$(PYTHON) scripts/check_sources.py -i build -i dist -i pygments/lexers/_mapping.py \
		   -i docs/build -i pygments/formatters/_mapping.py -i pygments/unistring.py

clean: clean-pyc
	-rm -rf build
	-rm -f codetags.html

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

codetags:
	@$(PYTHON) scripts/find_codetags.py -i tests/examplefiles -i scripts/pylintrc \
		   -i scripts/find_codetags.py -o codetags.html .

docs:
	make -C doc html

mapfiles:
	(cd pygments/formatters; $(PYTHON) _mapping.py)
	(cd pygments/lexers; $(PYTHON) _mapping.py)

pylint:
	@pylint --rcfile scripts/pylintrc pygments

reindent:
	@$(PYTHON) scripts/reindent.py -r -B .

test:
	@$(PYTHON) tests/run.py -d $(TEST)

test-coverage:
	@$(PYTHON) tests/run.py -d --with-coverage --cover-package=pygments --cover-erase $(TEST)

tox-test:
	@tox -- $(TEST)

tox-test-coverage:
	@tox -- --with-coverage --cover-package=pygments --cover-erase $(TEST)

## pygments 2.1+dfsg

=== debian/changelog ===
pygments (2.1+dfsg-1ubuntu0.2) xenial-security; urgency=medium

  * SECURITY UPDATE: more denial of service issues in regular expressions
    - debian/patches/CVE-2021-27291.patch: fix several exponential/cubic
      complexity regexes in pygments/lexers/archetype.py,
      pygments/lexers/factor.py, pygments/lexers/jvm.py,
      pygments/lexers/matlab.py, pygments/lexers/objective.py,
      pygments/lexers/templates.py.
    - CVE-2021-27291

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 29 Mar 2021 10:59:42 -0400

pygments (2.1+dfsg-1ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Infinite loop in SMLLexer leads to denial of service
    - debian/patches/CVE-2021-20270.patch: fix infinite loop in
      pygments/lexers/ml.py.
    - CVE-2021-20270

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 15 Mar 2021 09:38:31 -0400

pygments (2.1+dfsg-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Drop CVE-2015-8557.patch, applied upstream.
  * Disable two tests that need example files, again.
  * Stop setting PYTHONWARNINGS=d when running the autopkgtests, that
    breaks the cmdline test which checks that process stderr is empty.

  [ Piotr Ożarowski ]
  * Remove /etc/bash_completion.d/pygmentize conffile in maintainer scripts
    (closes: #810661)

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 25 Jan 2016 18:04:14 +0300

pygments (2.0.1+dfsg-2) unstable; urgency=high

  [ Salvatore Bonaccorso ]
  * Add CVE-2015-8557.patch patch.
    CVE-2015-8557: Shell injection in FontManager._get_nix_font_path.
    (Closes: #802828)

  [ Piotr Ożarowski ]
  * debian/watch: use pypi.debian.net redirector
  * install pygmentize's bash completion to
    /usr/share/bash-completion/completions

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 10 Jan 2016 18:56:35 +0100

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,19 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 5)
-Build-Depends-Indep: python-all (>= 2.6.6-3), python3-all, python3-setuptools,
- python-setuptools (>= 0.6b3), python-docutils, python-jinja2
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9)
+Build-Depends-Indep: dh-python, python-all (>= 2.6.6-3), python3-all, python3-setuptools,
+ python-setuptools (>= 0.6b3), python-docutils, python-jinja2, python-sphinx
+Standards-Version: 3.9.6
 Homepage: http://pygments.org/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/pygments/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pygments/trunk/
-X-Python-Version: >= 2.4
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/pygments.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pygments.git
+X-Python-Version: >= 2.6
 XS-Testsuite: autopkgtest
 
 Package: python-pygments
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, ${misc:Depends}, ${sphinxdoc:Depends}
 Recommends: python-chardet, python-pkg-resources
 Suggests: ttf-bitstream-vera
 Description: syntax highlighting package written in Python
@@ -47,3 +47,16 @@
    * support for new languages and formats are added easily
    * a number of output formats, presently HTML, LaTeX and ANSI sequences
    * it is usable as a command-line tool and as a library
+
+Package: python-pygments-doc
+Section: doc
+Architecture: all
+Priority: extra
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Recommends: python-pygments
+Conflicts: python-pygments (<= 2.0~)
+Description: documentation for the Pygments
+ Pygments is syntax highlighting package.
+ .
+ This package contains the documentation for Pygments in HTML and
+ reStructuredText format.

## pygments 2.1.3+dfsg

=== debian/changelog ===
pygments (2.1.3+dfsg-1~bpo8+1) UNRELEASED; urgency=medium

  * jessie-backports Rebuilt for jessie.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 10 Aug 2016 18:52:37 +0000

pygments (2.1.3+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Dmitry Shachnev ]
  * New upstream bugfix release.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 02 May 2016 12:54:25 +0300

## pygments 2.2.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: pygments
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: dh-python, python-all (>= 2.6.6-3), python3-all, python3-setuptools,
  python-setuptools (>= 0.6b3), python-docutils, python-jinja2, python-sphinx
 Standards-Version: 3.9.6
 Homepage: http://pygments.org/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/pygments.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pygments.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pygments.git
 X-Python-Version: >= 2.6
 XS-Testsuite: autopkgtest

## pygments 2.2.0+dfsg

=== debian/changelog ===
pygments (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 23 Jan 2017 23:25:26 +0100

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 install-stamp:
 	dh_installdirs
-	install -m 644 external/pygments.bashcomp debian/python-pygments/etc/bash_completion.d/pygmentize
+	install -m 644 external/pygments.bashcomp debian/python-pygments/usr/share/bash-completion/completions/pygmentize
 	touch $@
 
 install-python%-stamp:

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,uversionmangle=s/(beta|rc|a|b|c)/~$1/ \
https://pypi.debian.net/Pygments/Pygments-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pygments 2.3.1%2Bdfsg

=== debian/changelog ===
pygments (2.3.1+dfsg-1ubuntu2.2) focal-security; urgency=medium

  * SECURITY UPDATE: more denial of service issues in regular expressions
    - debian/patches/CVE-2021-27291.patch: fix several exponential/cubic
      complexity regexes in pygments/lexers/archetype.py,
      pygments/lexers/factor.py, pygments/lexers/jvm.py,
      pygments/lexers/matlab.py, pygments/lexers/objective.py,
      pygments/lexers/templates.py, pygments/lexers/varnish.py.
    - CVE-2021-27291

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 29 Mar 2021 10:58:36 -0400

pygments (2.3.1+dfsg-1ubuntu2.1) focal-security; urgency=medium

  * SECURITY UPDATE: Infinite loop in SMLLexer leads to denial of service
    - debian/patches/CVE-2021-20270.patch: fix infinite loop in
      pygments/lexers/ml.py.
    - CVE-2021-20270

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 15 Mar 2021 09:35:08 -0400

pygments (2.3.1+dfsg-1ubuntu2) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:40:25 +0000

pygments (2.3.1+dfsg-1ubuntu1) eoan; urgency=medium

  * Do not recommend py2 package from the docs package.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 22 May 2019 15:19:17 +0100

pygments (2.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - sphinx_1.7.patch and python_3.7.patch removed - fixed upstream
  * /usr/bin/pygmentize moved to python3-pygments binary package. Closes: 857273
  * Add patch to add -g parameter to pygmentize man page. Closes: 807495
    (thanks to Stéphane Blondon for the patch)
  * Add patch to update HTML documentation location in manpage. Closes: 801586
    (thanks to Stéphane Blondon for the patch)
  * Standards-Version bumped to 4.3.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 31 Dec 2018 12:10:22 +0100

pygments (2.2.0+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org.
  * d/control: Deprecating priority extra as per policy 4.0.1.
  * d/control: Remove XS-Testsuite field, not needed anymore.
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP.
  * d/control: Remove ancient X-Python-Version field.
  * Convert git repository from git-dpm to gbp layout.

  [ Helmut Grohne ]
  * Mark all packages Multi-Arch: foreign.  Closes: #892948

  [ Mattia Rizzolo ]
  * Suggests python-pygments-doc from the library packages.  Closes: #902690
  * Add patch from Dmitry Shachnev to fix FTBFS with Sphinx 1.7.  Closes: 896627
  * Add patch to fix compatibility with Python 3.7.  Closes: #904325

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 24 Sep 2018 13:17:46 +0200

## pygments 2.3.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #
 # Combines scripts for common tasks.
 #
-# :copyright: Copyright 2006-2015 by the Pygments team, see AUTHORS.
+# :copyright: Copyright 2006-2017 by the Pygments team, see AUTHORS.
 # :license: BSD, see LICENSE for details.
 #
 
@@ -55,8 +55,17 @@
 test-coverage:
 	@$(PYTHON) tests/run.py -d --with-coverage --cover-package=pygments --cover-erase $(TEST)
 
+test-examplefiles:
+	nosetests tests/test_examplefiles.py
+
 tox-test:
 	@tox -- $(TEST)
 
 tox-test-coverage:
 	@tox -- --with-coverage --cover-package=pygments --cover-erase $(TEST)
+
+RLMODULES = pygments.lexers
+
+regexlint:
+	@if [ -z "$(REGEXLINT)" ]; then echo "Please set REGEXLINT=checkout path"; exit 1; fi
+	PYTHONPATH=`pwd`:$(REGEXLINT) $(REGEXLINT)/regexlint/cmdline.py $(RLMODULES)

=== debian/changelog ===
pygments (2.3.1+dfsg-4) unstable; urgency=medium

  * Drop python2 support + run wrap-and-sort; Closes: #937446

 -- Sandro Tosi <morph@debian.org>  Fri, 17 Jul 2020 15:18:56 -0400

pygments (2.3.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Drop Recommend: python-chardet to allow the drop of python-chardet from
    the archive.

 -- Pierre-Elliott Bécue <peb@debian.org>  Wed, 22 Apr 2020 16:32:33 +0200

pygments (2.3.1+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Set upstream metadata fields: Name.

  [ Mattia Rizzolo ]
  * Move pygmentize.1 manpage to the python3-pygmentize, together with the
    /usr/bin/pygmentize binary.  Closes: #919653
  * Hard dependency on python3-pkg-resources to be able to use /usr/bin/pygments
    Closes: #944908
  * Recommend the py3 package from the docs package, isntead of the py2 one.
  * Bump Standards-Version to 4.5.0:
    + Set Rules-Requires-Root:no.
  * autopkgtest: use py3versions -s instead of py3versions -i.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 05 Apr 2020 15:53:18 +0200

=== debian/control ===
Source: pygments
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends: debhelper-compat (= 9),
Build-Depends-Indep: dh-python,
                     python3-all,
                     python3-docutils,
                     python3-jinja2,
                     python3-setuptools,
                     python3-sphinx,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://pygments.org/
Vcs-Git: https://salsa.debian.org/python-team/modules/pygments.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pygments

Package: python3-pygments
Architecture: all
Multi-Arch: foreign
Depends: python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-pygments-doc,
          ttf-bitstream-vera,
Breaks: python-pygments (<< 2.3.1+dfsg-4~),
Replaces: python-pygments (<< 2.3.1+dfsg-4~),
Description: syntax highlighting package written in Python 3
 Pygments aims to be a generic syntax highlighter for general use in all kinds
 of software such as forum systems, wikis or other applications that need to
 prettify source code.
 .
 Highlights are:
   * a wide range of common languages and markup formats is supported
   * special attention is paid to details, increasing quality by a fair amount
   * support for new languages and formats are added easily
   * a number of output formats, presently HTML, LaTeX and ANSI sequences
   * it is usable as a command-line tool and as a library

Package: python-pygments-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Recommends: python3-pygments,
Conflicts: python-pygments (<= 2.0~),
Description: documentation for the Pygments
 Pygments is syntax highlighting package.
 .
 This package contains the documentation for Pygments in HTML and
 reStructuredText format.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 #export DH_VERBOSE=1
 
-PYVERS ?= $(shell pyversions -vr) $(shell py3versions -vr)
+PYVERS ?= $(shell py3versions -vr)
 pkgdir = $(CURDIR)/debian/python$(if $(patsubst 3.%,,$(1)),,3)-pygments
 
 clean:
@@ -26,7 +26,7 @@
 
 install-stamp:
 	dh_installdirs
-	install -m 644 external/pygments.bashcomp debian/python-pygments/usr/share/bash-completion/completions/pygmentize
+	install -m 644 external/pygments.bashcomp debian/python3-pygments/usr/share/bash-completion/completions/pygmentize
 	touch $@
 
 install-python%-stamp:
@@ -42,11 +42,9 @@
 	dh_installdocs -i
 	dh_link -i
 	dh_installman -i
-	dh_install -i -p python-pygments pygmentize /usr/bin/
-	rm -rf debian/python3-pygments/usr/bin/
+	dh_install -i -p python3-pygments pygmentize /usr/bin/
 	dh_sphinxdoc -i -p python-pygments-doc
-	dh_python2 -i
-	dh_python3 -i
+	dh_python3 -i --shebang=/usr/bin/python3
 	dh_compress -i -X.py -X.inv
 	dh_fixperms -i
 	dh_installdeb -i

=== debian/tests/control ===
Tests: python3-pygments
Depends: python3-all, python3-pygments, python3-nose

## pygments 2.7.1%2Bdfsg

=== debian/changelog ===
pygments (2.7.1+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix several exponential/cubic complexity regexes (CVE-2021-27291)
    (Closes: #985574)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 05 Jun 2021 11:00:18 +0200

pygments (2.7.1+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Emilio Pozuelo Monfort ]
  * CVE-2021-20270: infinite loop in the SML lexer (Closes: #984664).

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 12 Mar 2021 10:54:46 +0100

pygments (2.7.1+dfsg-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * New upstream version 2.6.1 (Closes: #962505)
  * wrap-and-sort.
  * d/salsa-ci.yml: enable salsa-ci.
  * d/gbp.conf: set debian/master as default branch.
  * d/patches: update change_docs_theme patch.
    - Remove not applied Adapt-conf.py-for-sphinx-2.0 patch.

  [ Christian Kastner ]
  * Convert d/copyright to Machine-Readable Copyright Format 1.0
  * Add Files-Excluded+Comment to d/copyright
  * Add repacksuffix=+dfsg to d/watch
  * Drop obsolete get-orig-source target (uscan removes files now)
  * Add python3-pytest to Build-Depends
  * Replace nose with pytest in autopkgtest
  * Enable running tests at build time
  * Update d/watch to version 4
  * Drop TODO from python-pygments-doc.docs
  * d/gbp.conf: Rename upstream -> upstream/latest
  * Add upstream metadata

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release; Closes: #962505
  * Skip test that's missing some example file (gh:issues/1567)
  * debian/rules
    - if you never run dh_install, .install files are not processed

 -- Sandro Tosi <morph@debian.org>  Thu, 08 Oct 2020 18:54:38 -0400

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,7 @@
 	dh_testdir
 	dh_installdirs
 	PYTHONPATH=$(CURDIR):$(CURDIR)/doc make -C doc html
+	python3 -m pytest -v -k 'not test_chooses_correct_lexer_for_example_files'
 	touch $@
 
 install: build install-stamp $(PYVERS:%=install-python%-stamp)
@@ -40,9 +41,9 @@
 	dh_installchangelogs -i CHANGES
 	dh_installexamples -i
 	dh_installdocs -i
+	dh_install -i -ppython-pygments-doc
 	dh_link -i
 	dh_installman -i
-	dh_install -i -p python3-pygments pygmentize /usr/bin/
 	dh_sphinxdoc -i -p python-pygments-doc
 	dh_python3 -i --shebang=/usr/bin/python3
 	dh_compress -i -X.py -X.inv
@@ -56,13 +57,4 @@
 
 binary: binary-indep binary-arch
 
-get-orig-source:
-	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p');\
-	uscan --force-download --rename --download-version=$$VER --destdir=.;\
-	tar -zx --exclude=doc/_build --exclude=tests/examplefiles --exclude=test/test_examplefiles.py -f pygments_$$VER.orig.tar.gz;\
-	find . -name '*.pyc' -delete;\
-	tar -zcf ./pygments_$$VER+dfsg.orig.tar.gz Pygments-*;\
-	rm -f ./pygments_$$VER.orig.tar.gz;\
-	rm -rf Pygments-*
-
 .PHONY: build clean binary-indep binary-arch binary install

## pygments 2.7.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -4,16 +4,17 @@
 #
 # Combines scripts for common tasks.
 #
-# :copyright: Copyright 2006-2017 by the Pygments team, see AUTHORS.
+# :copyright: Copyright 2006-2020 by the Pygments team, see AUTHORS.
 # :license: BSD, see LICENSE for details.
 #
 
-PYTHON ?= python
+PYTHON ?= python3
 
 export PYTHONPATH = $(shell echo "$$PYTHONPATH"):$(shell python -c 'import os; print ":".join(os.path.abspath(line.strip()) for line in file("PYTHONPATH"))' 2>/dev/null)
 
 .PHONY: all check clean clean-pyc codetags docs mapfiles \
-	pylint reindent test test-coverage
+	pylint reindent test test-coverage test-examplefiles \
+	tox-test tox-test-coverage regexlint
 
 all: clean-pyc check test
 
@@ -24,7 +25,7 @@
 		   -i docs/build -i pygments/formatters/_mapping.py -i pygments/unistring.py
 
 clean: clean-pyc
-	-rm -rf build
+	-rm -rf build tests/examplefiles/output
 	-rm -f codetags.html
 
 clean-pyc:
@@ -49,14 +50,16 @@
 reindent:
 	@$(PYTHON) scripts/reindent.py -r -B .
 
+TEST = tests
+
 test:
-	@$(PYTHON) tests/run.py -d $(TEST)
+	@$(PYTHON) `which py.test` $(TEST)
 
 test-coverage:
-	@$(PYTHON) tests/run.py -d --with-coverage --cover-package=pygments --cover-erase $(TEST)
+	@$(PYTHON) `which py.test` --cov --cov-report=html --cov-report=term $(TEST)
 
 test-examplefiles:
-	nosetests tests/test_examplefiles.py
+	@$(PYTHON) `which py.test` tests.test_examplefiles
 
 tox-test:
 	@tox -- $(TEST)

=== requirements.txt ===
pytest-cov
pytest-randomly
pytest
pyflakes
pylint
tox

=== debian/changelog ===
pygments (2.7.1+dfsg-2ubuntu1) hirsute; urgency=medium

  * SECURITY UPDATE: more denial of service issues in regular expressions
    - debian/patches/CVE-2021-27291.patch: fix several exponential/cubic
      complexity regexes in pygments/lexers/archetype.py,
      pygments/lexers/factor.py, pygments/lexers/jvm.py,
      pygments/lexers/matlab.py, pygments/lexers/objective.py,
      pygments/lexers/templates.py, pygments/lexers/varnish.py.
    - CVE-2021-27291

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 30 Mar 2021 13:42:14 -0400

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: pygments
 Section: python
 Priority: optional
-Maintainer: Piotr Ożarowski <piotr@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
-Build-Depends: debhelper-compat (= 9),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: dh-python,
                      python3-all,
                      python3-docutils,
                      python3-jinja2,
+                     python3-pytest <!nocheck>,
                      python3-setuptools,
                      python3-sphinx,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: http://pygments.org/
-Vcs-Git: https://salsa.debian.org/python-team/modules/pygments.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pygments
+Vcs-Git: https://salsa.debian.org/python-team/packages/pygments.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pygments
 
 Package: python3-pygments
 Architecture: all
@@ -24,8 +26,8 @@
          ${python3:Depends},
 Suggests: python-pygments-doc,
           ttf-bitstream-vera,
-Breaks: python-pygments (<< 2.3.1+dfsg-4~),
-Replaces: python-pygments (<< 2.3.1+dfsg-4~),
+Breaks: python-pygments (<< 2.3.1+dfsg-4~)
+Replaces: python-pygments (<< 2.3.1+dfsg-4~)
 Description: syntax highlighting package written in Python 3
  Pygments aims to be a generic syntax highlighter for general use in all kinds
  of software such as forum systems, wikis or other applications that need to

## pygments 2.11.2%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export PYBUILD_NAME=pygments
export PYBUILD_TEST_ARGS=-v -k 'not test_chooses_correct_lexer_for_example_files and not test_guess_lexer_singularity and not test_guess_lexer_forth and not test_guess_lexer_modula2 and not test_guess_lexer_unicon and not test_guess_lexer_ezhil and not test_guess_lexer_gdscript and not test_guess_lexer_gap and not test_guess_lexer_easytrieve and not test_guess_lexer_jcl and not test_guess_lexer_rexx'

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build Pygments.egg-info doc/_build
	find . -name "*\.py[co]" -delete

execute_after_dh_auto_build:
	PYTHONPATH=$(CURDIR):$(CURDIR)/doc make -C doc html

override_dh_auto_install:
	dh_auto_install
	install -m 644 external/pygments.bashcomp debian/python3-pygments/usr/share/bash-completion/completions/pygmentize

override_dh_installchangelogs:
	dh_installchangelogs -i CHANGES

override_dh_compress:
	dh_compress -i -X.py -X.inv
